.tooltip {
    display: block;
    width: rem(16);
    height: rem(16);
    flex-shrink: 0;
    position: relative;

    &:hover {
        z-index: 200;

        > span {
            z-index: 200;
        }
    }

    &__button {
        padding: 0;
        font-size: 0;
        line-height: 0;
        display: block;
        width: rem(16);
        height: rem(16);
        flex-shrink: 0;
        fill: var(--orange);
        background-color: transparent;
    }

    &__content {
        z-index: 200;
        left: rem(-100);
        width: rem(260);
        padding: rem(12);
        font-size: rem(13);
        line-height: rem(18);
        top: 4px;
        opacity: 0;
        visibility: hidden;
        position: absolute;
        border-radius: 8px;
        background-color: #222222;
    }

    &:hover {
        z-index: 100;

        .tooltip__content {
            opacity: 1;
            visibility: visible;
        }
    }

    &--left {

        .tooltip__content {
            top: calc(100% + 5px);
            left: auto;
            right: 0;
            bottom: auto;
        }
    }

    @include media-breakpoint-up(md) {

        &__content {
            top: auto;
            width: rem(300);
            left: calc(4px);
            bottom: calc(4px);
            font-size: rem(14);
            line-height: rem(20);
        }

        &--left {

            .tooltip__content {
                top: calc(100% + 5px);
                left: auto;
                right: 0;
                bottom: auto;
            }
        }
    }
}
